# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict

from ..generated.stirrercontroller import SetRPM_Responses, StirrerControllerBase

if TYPE_CHECKING:
    from ..server import Server


class StirrerControllerImpl(StirrerControllerBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def SetRPM(self, Speed: float, *, metadata: MetadataDict) -> SetRPM_Responses:
        raise NotImplementedError  # TODO
